Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78016 - /etc/sysconfig/network-scripts/ifup-ppp hangs if ifcfg-ppp0 is set demand=yes
Summary: /etc/sysconfig/network-scripts/ifup-ppp hangs if ifcfg-ppp0 is set demand=yes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 16:21 UTC by Need Real Name
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:00:57 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-17 16:21:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 

Description of problem:
the ifup-ppp script has problem with "on demand" option
in /etc/sysconfig/network-scripts/ifcfg-ppp0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
configure the ppp0 to a call by call provider

1.configure the ppp0 (serial modem) as demand=yes
2.set it als onboot=yes
3. service network restart
4. the script ifup-ppp hangs

5. if i change the ifcfg-ppp0 to demand=no,
   then runs the script, but i need it as demand for
   a small internet gateway via modem


if i make it with redhat linux 7.1 beta (fischer) it runs
but i need a newer redhat linux version for my gateway
( versiom 7.1 / 7.2 / 7.3 / 8.0 do not run	

Additional info:

Comment 1 Harald Hoyer 2002-11-18 11:05:07 UTC
assigning to the right component

Comment 2 Need Real Name 2002-11-20 07:58:37 UTC
if i use the script: ifup-ppp from redhat linux version 7.1beta (fischer)

all runs !!!

i hope this info is helpful for you !

thanks

bye

dennis

Comment 3 Bill Nottingham 2003-01-14 04:00:57 UTC
Should be fixed in 7.03-1.


Note You need to log in before you can comment on or make changes to this bug.